POST Api/ProductImages

Request Information

URI Parameters

None.

Body Parameters

Collection of ProductImage
NameDescriptionTypeAdditional information
ProductImageId

integer

None.

ProductImageName

string

None.

ProductCode

string

None.

CompanyId

integer

None.

ObjectState

ObjectState

None.

Request Formats

application/json, text/json

Sample:
[
  {
    "productImageId": 1,
    "productImageName": "sample string 2",
    "productCode": "sample string 3",
    "companyId": 1,
    "objectState": 0
  },
  {
    "productImageId": 1,
    "productImageName": "sample string 2",
    "productCode": "sample string 3",
    "companyId": 1,
    "objectState": 0
  }
]

application/xml, text/xml

Sample:
<ArrayOfProductImage xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Gruo.Core.Models">
  <ProductImage>
    <ObjectState xmlns="http://schemas.datacontract.org/2004/07/Gruo.Core.Repository">Unchanged</ObjectState>
    <CompanyId>1</CompanyId>
    <ProductCode>sample string 3</ProductCode>
    <ProductImageId>1</ProductImageId>
    <ProductImageName>sample string 2</ProductImageName>
  </ProductImage>
  <ProductImage>
    <ObjectState xmlns="http://schemas.datacontract.org/2004/07/Gruo.Core.Repository">Unchanged</ObjectState>
    <CompanyId>1</CompanyId>
    <ProductCode>sample string 3</ProductCode>
    <ProductImageId>1</ProductImageId>
    <ProductImageName>sample string 2</ProductImageName>
  </ProductImage>
</ArrayOfProductImage>

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

None.